Установка sarge

Debian GNU/Linux 3.1 был заменён на Debian GNU/Linux 4.0 (etch). Некоторые из этих установочных образов теперь могут быть недоступны, или могут не работать, и вам рекомендуется вместо этого установить etch.

Чтобы установить Debian GNU/Linux 3.1r8 (sarge), загрузите какой-нибудь из следующих образов:

образ компакт-диска сетевой установки netinst CD (100 МБ)

образ компакт-диска минимальной установки businesscard (50 МБ)

другие образы (netboot, usb stick, floppy и др.)

Документация

Если вы хотите прочитать только один документ для начала установки, прочтите наш Installation Howto, быстрый путеводитель через процесс установки. Другие полезные документы содержат:

Известные ошибки

Это список всех известных проблем в системе установки, идущем с Debian GNU/Linux 3.1r8. Если вы, устанавливая Debian, обнаружили проблему, которой не увидели здесь, пожалуйста, пошлите нам отчёт об установке описывающий проблему или проверьте в wiki другие известные проблемы.

Известные ошибки выпуска 3.1r8

Список не изменился по сравнению с выпуском 3.1r7.

Известные ошибки выпуска 3.1r7

Проблема в 3.1r6, относящаяся к поддержке установки старого стабильного дистрибутива с сетевых зеркал была разрешена. Все установочные диски 3.1r7 и другие установочные образы вновь полностью поддерживают установку Sarge.

Установка задачи окружение рабочего стола может не удастся, если установка идёт с полного CD. Это из-за того, что OpenOffice не включён в первый диск, но некоторые пакеты openoffice.org находятся на зеркалах в виде обновлений безопасности.
Проблемы можно избежать выбором опции ручной выбор пакетов при выборе задачи рабочего стола. После этого aptitude укажет пакеты, которые будут установлены. Найдите пакет openoffice.org-bin и уберите его выбор нажатием клавиши -, и затем продолжите установку нажатием клавиши g.
Проблему также можно обойти, добавив сетевое зеркало, или просканировав второй полный CD в процессе конфигурации Apt.

Известные ошибки выпуска 3.1r6

В данном выпуске была исправлена ошибка с выбором ядра из 3.1r5.

В связи с тем, что Sarge уже не является стабильным дистрибутивом, а известен как старый стабильный дистрибутив, программа установки больше не может корректно получать пакеты с сетевых зеркал. Это затрагивает те установки, которые используют сетевые зеркала до первой перезагрузки, то есть образы netboot и businesscard. Как и прежде, вы можете установить Sarge с помощью netinst и полного набора образов CD или DVD, для чего вам нужно будет перед установкой пакетов с сетевых зеркал вручную исправить файл /etc/apt/sources.list так, чтобы строки, указывающие на сетевые зеркала, указывали на sarge а не на stable. В общем-то это означает, что вы не можете использовать сетевое зеркало в процессе установки!

Известные ошибки выпуска 3.1r5

На четырёх архитектурах программа установки может выбрать для вашей системы неверное ядро. Подверженные ошибке архитектуры: i386, hppa, ia64 и s390.
Вы можете обойти эту проблему, загрузив программу установки с параметром debconf/priority=medium. В результате будет показан список всех доступных ядер, из которого вы сможете вручную выбрать вариант ядра, подходящего для вашей системы.

Известные ошибки выпуска 3.1r4

За исключением исправления ошибки, найденной в выпуске 3.1r3 для архитектуры sparc32, система установки не обновлена. В основном комментарии, перечисленные ниже для выпуска 3.1r3, остаются верны.

Известные ошибки выпуска 3.1r3

Кроме нижеперечисленных ошибок выпуска Sarge 3.1r0, при обновлении программы установки, идущей с выпуском 3.1r3 (r1 и r2 не содержат обновления программы установки), нужно обратить внимание на следующие замечания:

В связи с обновлением ядра возникает несоответствие между загрузчиками ядра и пакетами udeb, закачанными позже, поэтому некоторые образы программы установки, изначально выпущенные с sarge 3.1r0, работать не будут. Этому подвержены все способы установки, которые закачивают пакеты udeb из сети, например загрузчики, основанные на floppy-дисках и диски сетевой установки. Обновлённые образы программы установки будут работать нормально.
Программы установки, основанные на компакт-дисках, этой проблеме не подвержены, так что вы можете продолжать использовать образы CD/DVD от ранних выпусков sarge.

Известные ошибки выпуска 3.1r0

Для следующего выпуска Debian разрабатывается более продвинутая версия системы установки, которая может быть использована и для установки sarge. Подробности смотрите на странице проекта Debian-Installer.

Система установки для слепых - "speakup"

Для архитектуры i386 Debian предлагает специальный набор установочных образов для дискет, которые поддерживают дисплеи Брайля. Полный список поддерживаемых моделей может быть найдена в документации brlttyd.